Subject: bug#47478: 28.0.50; Provide customization option for nnimap-keepalive-timer

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 02 May 2021 09:57:19 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Bob Newell requested the ability to customize the
>> `nnimap-keepalive-timer', and I've opened this bug report with a patch
>> that adds a new `nnimap-keepalive-times' customization option.
>>
>> It lets you customize both function interval and period of inactivity,
>> or you can set it to nil to disable the keepalive altogether.
>
> Sure; makes sense.

Cool. In the meantime I've come to prefer the name
`nnimap-keepalive-intervals', if that's all right.

I'll add this to the manual, as well. Do you think it should be a
defvoo, or a regular customization option?

>> I also sneaked in a little extra change: since we provided the option to
>> use Dbus to close Gnus servers when your machine is going to sleep, I've
>> noticed that sometimes (more often than you'd think) I seem to be
>> sleeping the machine in between sending the keepalive NOOP and receiving
>> the response.
>
> I think that should be OK -- when we're looking for responses, we use
> tags, so the response from the NOOP shouldn't confuse anything.
> (Hopefully.)

Hopefully!